\documentclass[border=10pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}

\tikzset{%
  >={Latex[width=2mm,length=2mm]},
  % Specifications for style of nodes:
            base/.style = {rectangle, draw=black,
                           minimum width=0.5cm, minimum height=0.7cm,
                           text centered},
        analisis/.style = {base, fill=blue!10},
          diseno/.style = {base, fill=red!10},
  implementacion/.style = {base, fill=green!10},
         pruebas/.style = {base, fill=orange!10},
}

\begin{document}
% Drawing part, node distance is 1.5 cm and every node
% is prefilled with white background
\begin{tikzpicture}[node distance=0.75cm and 0.05cm,
    every node/.style={fill=white}, align = left]
  % Specification of nodes (position, etc.)
  \node (analisis)          [analisis, minimum width = 15cm] {Análisis};
  
  \node (diseno)            [diseno, below=of analisis.west, anchor=west, text width = 2cm] {Diseño};
  \node (implementacion)    [implementacion, right=of diseno, text width = 2cm] {Codificación};
  \node (pruebas)           [pruebas, right=of implementacion, text width = 2cm] {Pruebas};
  
  \node (diseno1)           [diseno, below of = analisis, right= of pruebas] {};
  \node (implementacion1)   [implementacion, right=of diseno1] {};
  \node (pruebas1)          [pruebas, right=of implementacion1] {};
  
  \node (diseno2)           [diseno, below of = analisis, right=of pruebas1] {};
  \node (implementacion2)   [implementacion, right = of diseno2] {};
  \node (pruebas2)          [pruebas, right = of implementacion2] {};
  
  \node (diseno3)           [diseno, below of = analisis, right=of pruebas2] {};
  \node (implementacion3)   [implementacion, right=of diseno3] {};
  \node (pruebas3)          [pruebas, right=of implementacion3] {};
  
  \node (diseno4)           [diseno, below of = analisis, right=of pruebas3] {};
  \node (implementacion4)   [implementacion, right=of diseno4] {};
  \node (pruebas4)          [pruebas, right=of implementacion4] {};
  
  \node (invisible)         [base, below of = analisis, right=of pruebas4, draw=none] {\dots};
  \end{tikzpicture}
\end{document}
